﻿namespace TBL.GodotSharp.Ui.Indexed
{
    /// <summary>
    /// <see cref="IIndexedDisplayElement{T}"/> 的容器接口
    /// </summary>
    /// <typeparam name="TIndex">元素索引的类型</typeparam>
    /// <typeparam name="T">元素的类型</typeparam>
    public interface IIndexedDisplayContainer<in TIndex, in T>
        where T : IIndexedDisplayElement<TIndex> where TIndex : unmanaged
    {
        /// <summary>
        /// 刷新某个显示元素
        /// </summary>
        /// <param name="index">元素索引</param>
        /// <param name="element">元素显示对象</param>
        void Refresh(TIndex index, T element);
    }
}